$(document).ready(function(){

    /**
     * Click event for button "Check"
     */
	$('#btnCheckNow').click(function(){        
        var directory_path = $("#frmSiteCheck input[name=settings_directory_path]").val();
        var include_subdirectories = $("#frmSiteCheck input[name=settings_include_subdirectories]").is(':checked');
        var cache = $("#frmSiteCheck input[name=settings_cache]").is(':checked');
        var thumb = $("#frmSiteCheck input[name=settings_thumb]").is(':checked');
        var infected = $("#frmSiteCheck input[name=settings_infected]").is(':checked');
        var changed = $("#frmSiteCheck input[name=settings_changed]").is(':checked');
        var errorlog = $("#frmSiteCheck input[name=settings_errorlog]").is(':checked');
        
        
        if(!directory_path){
            alert("No directory path is entered! Please enter a valid path to destination directory.");
            return false;            
        }else if(!cache && !thumb && !changed && !errorlog && !infected){
            alert("No options selected! Please select at least one option to check your site.");
            return false;
        }
        
        $("#start-over-conteiner").hide();
        $(".files-container-link").hide();
        $(".files-container").hide();
        $(".text-info").hide();
        $(".text-success").hide();
        
        $(this).attr("disabled", true);
        $(this).text("Working, please wait...");
        
        // submit form
        $("#frmSiteCheck").submit();
        return true;
    });        
    
});

/**
 * Toggle showing of files container
 * @param el
 * @param mode
 */
function wscContainerToggle(el, mode){
    if(mode == "show"){
        $("#"+el+"_link_show").hide();
        $("#"+el+"_link_hide").show();
    }else{
        $("#"+el+"_link_show").show();
        $("#"+el+"_link_hide").hide();
    }
    $("#"+el).toggle();  
}

/**
 * Deletes file by AJAX call
 * @param el
 * @param file
 * @param type
 * @param token
 */
function wscDeleteFile(el, file, type, token){
    ajaxCall(el, file, type, token, "delete");    
}

/**
 * Cleans file by AJAX call
 * @param el
 * @param file
 * @param type
 * @param token
 */
function wscCleanFile(el, file, type, token){
    ajaxCall(el, file, type, token, "clean");    
}

/**
 * Perform AJAX call
 * @param el
 * @param file
 * @param type
 * @param token
 * @param action
 */
function ajaxCall(el, file, type, token, action){
    var errorMessage = '';
    var countedFiels = 0;

    jQuery.ajax({
        url: "ajax/handler.ajax.php",
        global: false,
        type: "POST",
        data: ({file: file, action: action, check_key: "apphpwsc", token: token}),
        dataType: "html",
        async: true,
        error: function(html){
            alert("AJAX: cannot connect to the server or server response error! Please try again later.");
        },
        success: function(html){
            var obj = jQuery.parseJSON(html);            
            if(obj.status == "1"){
                $("#"+el).hide();
                countedFiels = $("#counted_"+type).html();
                if(countedFiels > 0) $("#counted_"+type).html(countedFiels - 1);
            }else{                
                errorMessage = (obj.error_description != "") ? obj.error_description : "An error occurred while "+(action == "clean" ? "cleaning" : "removing")+" the file! Please try again later.";
                alert(errorMessage);    
            }
        }
    });	        
}

/**
 * Scrolls page to the define place
 * @param el
 * @param time
 */
function wscScrollTo(el, time){
    $("html, body").animate({scrollTop: $("#"+el).offset().top}, time);    
}

